Skip to main content

Get all authorizations of a profile

GET 

/nevisidm/api/core/v1/:clientExtId/profiles/:profileExtId/authorizations

Since: 2.71.0

Required permission(s): AccessControl.AuthorizationView or SelfAdmin Role

Returns a paginated list of authorizations for the specified profile. If the caller is the self-admin profile, the authorizations of the logged-in profile are returned.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    profileExtId stringrequired

    External ID of the profile.

    Example: profile-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Authorizations retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the authorization.

    roleExtId string

    The external ID of the connected role.

    clientGlobal boolean

    Determines whether the authorization is applicable for the whole client.

    unitGlobal boolean

    Determines whether the authorization is restricted to a unit.

    appGlobal boolean

    Determines whether the authorization is restricted to an application.

    enterpriseRoleGlobal boolean

    Determines whether the authorization is restricted to an enterprise role.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...